# Module anomalies

Il n'y a pas d'interface d'administration pour le module anomalies mais des propriétés sont disponible dans le fichier:
/var/www/vmap/vas/rest/conf/anomalies/properties.inc

## Les valeurs dynamique disponibles dans les emails

Pour mettre des valeurs dynamique dans un mail il faut faire:
```{{ anomaly.CLE }}```

Les clées disponibles sont:

- **anomalies_id** -> Identifiant de l'anomalie
- **status_id** -> Identifiant du statut de l'anomalie
- **status_name** -> Nom du statut de l'anomalie
- **status_color** -> Couleur du statut de l'anomalie
- **theme_id** -> Identifiant du thème de l'anomalie
- **theme_name** -> Nom du thème de l'anomalie
- **theme_short_name** -> Abréviation du nom du thème de l'anomalie
- **title** -> Titre de l'anomalie
- **description** -> Description de l'anomalie
- **files** -> Nom des fichiers ajouté avec le formulaire de l'anomalie
- **contact** -> Champs contact du formulaire de l'anomalie
- **user_id** -> Identifiant de l'utilisateur qui a créé l'anomalie
- **login** -> Identifiant de connexion de l'utilisateur qui a créé l'anomalie
- **user_name** -> Nom de l'utilisateur qui a créé l'anomalie
- **user_email** -> Email de l'utilisateur qui a créé l'anomalie
- **anomalies_date** -> Date de la création de l'anomalie
- **last_update_date** -> Date de la dernière mise à jour
- **closing_date** -> Date de clotûre
- **map_id** -> Identifiant de la carte sur laquel utilisateur était connecté lors de l'ajout de l'anomalie
- **admin_comment** -> Commentaire de l'administrateur

## Propriété importante

Pour que le module fonctionne correctement il est important de définir une valeur à cette propriété.

### $properties["anomalies_email_admin"]

Doit contenir l'adresse email de l'administrateur qui recevra les emails

Pas de valeur par défaut

## Propriété des objets et contenus des emails pour l'utilisateur

### $properties["email_object_user_create_anomaly"]

Objet de l'email envoyé à l'utilisateur lors de la création d'une anomalie

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} a été créé"
```
### $properties["email_user_create_anomaly"]

Contenu de l'email envoyé à l'utilisateur lors de la création d'une anomalie

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
Vous venez de créer une nouvelle anomalie le {{anomaly.anomalies_date}} :
<br/>
Identifiant : {{anomaly.anomalies_id}}
<br/>
Thème : {{anomaly.theme_name}}
<br/>
Titre : {{anomaly.title}}
<br/>
Description : {{anomaly.description}}
<br/>
Coordonnées pour vous recontacter : {{anomaly.contact}}
<br/><br/>
Nous vous remercions pour votre retour et y donnerons suite dès que possible.
<br/>
Vous pouvez suivre la prise en charge de votre demande depuis l’onglet « Anomalies » du MODULE ANOMALIES dans vmap.
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```

### $properties["email_object_user_update_anomaly"]

Objet de l'email envoyé à l'utilisateur lors de la mise à jour d'une anomalie

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} a été mise à jour"
```

### $properties["email_user_update_anomaly"]

Contenu de l'email envoyé à l'utilisateur lors de la mise à jour d'une anomalie

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
La modification de votre anomalie n°{{anomaly.anomalies_id}} a bien été enregistrée le {{anomaly.last_update_date}}.
<br/>
Identifiant : {{anomaly.anomalies_id}}
<br/>
Thème : {{anomaly.theme_name}}
<br/>
Titre : {{anomaly.title}}
<br/>
Description : {{anomaly.description}}
<br/>
Coordonnées pour vous recontacter : {{anomaly.contact}}
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```

### $properties["email_object_user_status_in_progress_anomaly"]

Objet de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "En cours de traitement"

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} est en cours de traitement"
```
### $properties["email_user_status_in_progress_anomaly"]

Contenu de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "En cours de traitement"

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
Votre anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}} est en cours de traitement.
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```

### $properties["email_object_user_status_waiting_anomaly"]

Objet de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "En attente d'information"

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} est en attente d'information"
```
### $properties["email_user_status_waiting_anomaly"]

Contenu de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "En attente d'information"

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
Nous sommes en attente d’informations pour le traitement de votre anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}}.
<br/>
N’hésitez pas à nous recontacter pour plus de précisions.
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```

### $properties["email_object_user_status_cancel_anomaly"]

Objet de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "Annuler"

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} a été annulée"
```
### $properties["email_user_status_cancel_anomaly"]

Contenu de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "Annuler"

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
Votre anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}} a été annulée, à votre demande ou par votre administrateur SIG.
<br/>
N’hésitez pas à nous recontacter pour plus de précisions.
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```

### $properties["email_object_user_status_finished_anomaly"]

Objet de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "Terminer"

Valeur par défaut:

```
"L'anomalie VMAP n°{{anomaly.anomalies_id}} a été traitée"
```

### $properties["email_user_status_finished_anomaly"]

Contenu de l'email envoyé à l'utilisateur lorsque le statut de l'anomalie change pour "Terminer"

Valeur par défaut:

``` HTML
"Bonjour,
<br/><br/>
Votre anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}} a été traitée, la demande est clôturée le {{anomaly.closing_date}}.
<br/>
Remarques éventuelles : {{anomaly.admin_comment}}.
<br/><br/>
Merci encore pour vos retours,
<br/><br/>
Bien cordialement,
<br/>
L’équipe SIG"
```
## Propriété des objets et contenus des emails pour l'administrateur

### $properties["email_object_admin_create_anomaly"]

Objet de l'email envoyé à l'administrateur lors de la création d'une anomalie.

Valeur par défaut:

```
"Anomalie VMAP n°{{anomaly.anomalies_id}} – {{anomaly.theme_name}} – {{anomaly.title}}"
```

### $properties["email_admin_create_anomaly"]

Contenu de l'email envoyé à l'administrateur lors de la création d'une anomalie.

Valeur par défaut:

``` HTML
"MODULE ANOMALIE VMAP
<br/><br/>
Une nouvelle anomalie a été signalée le {{anomaly.anomalies_date}} :
<br/>
Identifiant : {{anomaly.anomalies_id}}
<br/>
Thème : {{anomaly.theme_name}}
<br/>
Titre : {{anomaly.title}}
<br/>
Description : {{anomaly.description}}
<br/>
Coordonnées pour vous recontacter : {{anomaly.contact}}
<br/><br/>
Utilisateur : {{anomaly.login}}
<br/>
Coordonnées : {{anomaly.user_email}}"
```

### $properties["email_object_admin_update_anomaly"]

Objet de l'email envoyé à l'administrateur lors de la mise à jour d'une anomalie.

Valeur par défaut:

```
"Anomalie VMAP n°{{anomaly.anomalies_id}} – {{anomaly.theme_name}} – {{anomaly.title}}"
```
### $properties["email_admin_update_anomaly"]

Contenu de l'email envoyé à l'administrateur lors de la mise à jour d'une anomalie.

Valeur par défaut:

``` HTML
"MODULE ANOMALIE VMAP
<br/><br/>
L’ anomalie n°{{anomaly.anomalies_id}} a été modifiée le {{anomaly.last_update_date}}. :
<br/>
Identifiant : {{anomaly.anomalies_id}}
<br/>
Thème : {{anomaly.theme_name}}
<br/>
Titre : {{anomaly.title}}
<br/>
Description : {{anomaly.description}}
<br/>
Coordonnées pour vous recontacter : {{anomaly.contact}}
<br/><br/>
Utilisateur : {{anomaly.login}}
<br/>
Coordonnées : {{anomaly.user_email}}"
```

### $properties["email_object_admin_status_change_anomaly"]

Objet de l'email envoyé à l'administrateur lors le statut de l'anomalie change.

Valeur par défaut:

```
"Anomalie VMAP n°{{anomaly.anomalies_id}} – {{anomaly.theme_name}} – {{anomaly.title}}"
```
### $properties["email_admin_status_change_anomaly"]

Contenu de l'email envoyé à l'administrateur lors le statut de l'anomalie change.

Valeur par défaut:

``` HTML
"MODULE ANOMALIE VMAP
<br/><br/>
L’anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}} a pris le statut {{anomaly.status_name}} le {{anomaly.last_update_date}}.
<br/><br/>
Utilisateur : {{anomaly.login}}
<br/>
Coordonnées : {{anomaly.user_email}}"
```

### $properties["email_object_admin_finished_anomaly"]

Objet de l'email envoyé à l'administrateur lors le statut de l'anomalie change pour "Terminer".

Valeur par défaut:

```
"Anomalie VMAP n°{{anomaly.anomalies_id}} – {{anomaly.theme_name}} – {{anomaly.title}}"
```
### $properties["email_admin_finished_anomaly"]

Contenu de l'email envoyé à l'administrateur lors le statut de l'anomalie change pour "Terminer".

Valeur par défaut:

``` HTML
"MODULE ANOMALIE VMAP
<br/><br/>
L’anomalie n°{{anomaly.anomalies_id}} « {{anomaly.title}} » du {{anomaly.anomalies_date}} a été clôturée le {{anomaly.closing_date}}.
<br/><br/>
Remarques : {{anomaly.admin_comment}}.
<br/><br/>
Utilisateur : {{anomaly.login}}
<br/>
Coordonnées : {{anomaly.user_email}}"
```

## Autre propriété

### $properties["anomalies_max_zoom"]

Nombre entre 1 et 24, défini le niveau de zoom maximum.

Valeur par défaut:

```
11
```
