# Module Anomalies

Le module Anomalies est un module spécifique à vMap intégré dans l'interface cartographique. Le but du module Anomalies est de pouvoir signaler et consulter des anomalies sur la carte.

![](../images/idea.png) Le module Anomalies est accessible aux personnes en ayant droit, c'est à dire à tout utilisateur pour lequel l'administrateur de l'application a attribué les droits nécessaires pour accéder au module. [En savoir plus sur la gestion des utilisateurs et de leurs privilèges dans vMap](http://vmap.readthedocs.io/fr/latest/doc_module_vitis/administration/users.html).



Le bouton **module Anomalies**  ![Bouton du module anomalies](../images/anomalies/bouton_module_anomalies.png) permet de déployer le module Anomalies à droite de la carte. Il comporte l'intégralité des fonctionnalités spécifiques à la gestion des anomalies.

![Anomalies sur une carte](../images/anomalies/anomalies1.png)

Le module Anomalies est composé des éléments suivants :

![](../images/anomalies/module_anomalies.png)

- L'onglet Signaler permet d'ajouter une anomalies.
- L'onglet Anomalies permet l'affichage et le filtrage des anomalies.

## 1. Ajout d'une anomalie : l'onglet Signaler

### 1 - Saisie de la localisation

Cliquer sur "Localiser", puis sur la carte pour placer un point représentant l'anomalie.

![](../images/anomalies/anomalies_signaler1.png)

Une fois le.s point.s ajouté.s, les boutons pour déplacer et supprimer la géométrie apparaissent, ainsi que le formulaire.

### 2 - Le formulaire

Remplir le formulaire puis cliquer sur envoyer pour ajouter l'anomalie.

Les champs requis sont:
- Le thème
- Le titre
- La description

![](../images/anomalies/anomalies_signaler2.png)

Lorsque l'anomalie est ajouté elle a automatiquement le statut "Nouveau", un récapitulatif est envoyé par email à l'utilisateur.

L'administrateur est averti par email qu'une nouvelle anomalies a été enregistrée.

## 2. Liste des anomalies : l'onglet Anomalies

![](../images/anomalies/anomalies_liste2.png)


### 1 - Les filtres

![](../images/anomalies/anomalies_filtres.png)

Il est possible de filtrer l'affichage de la liste des anomalies par statut, et/ou de selectionner uniquement les signalements fait par l'utilisateur connecté.

Les statuts possible sont :
- **Nouveau :** ![](../images/anomalies/anomalies_status_nouveau.png) au moment du signalement. 
- **En attente d’ information :** ![](../images/anomalies/anomalies_status_en_attente.png) l'anomalie est prise en charge mais des éléments sont manquants pour pouvoir enclencher l'En cours.
- **En cours :** ![](../images/anomalies/anomalies_status_en_cours.png) l'anomalie est confirmée, comprise, et elle est en cours de résolution. 
- **Terminé :** ![](../images/anomalies/anomalies_status_termine.png) l'anomalie est résolue (équivalent à archiver).
- **Annulé :** ![](../images/anomalies/anomalies_status_annule.png) l'utilisateur ou l'administrateur c'est rendu compte après signalement que ce n' est pas une anomalie.

### 2 - La cartographie

![](../images/anomalies/anomalies_cartographie.png)

La case à coché "Afficher les anomalies sur la carte" permet de choisir l'affichage ou non des anomalies sur la carte.

Les anomalies affichés sont celles de la liste ci-après. C'est à dire que si des filtres sont actifs ils s'apliqueront aux enregistrements affichés sur la carte.

Le bouton de sélection ![Bouton de selection du module anomalies](../images/anomalies/bouton_selection_module_anomalies.png) permet d'afficher le détail d'une anomalie.

![](../images/anomalies/anomalies_details.png)

### 3 - Liste des anomalies

![](../images/anomalies/anomalies_liste4.png)

La liste des anomalies est présentée sous forme de tableau avec les colonnes suivantes :

- Les boutons d'actions ![](../images/anomalies/anomalies_boutons_actions.png)
- L'identifiant de l'anomalies
- Le statut de l'anomalies
- La concaténation du thème (version courte) et du titre

### 4 - Les actions

#### L'édition

Cette action n'est pas toujours disponible, elle dépend des droits de l'utilisateur ainsi que du statut de l'anomalie.

Elle permet d'éditer les attributs de l'anomalie.

![](../images/anomalies/anomalies_form_edition.png)

Les boutons qui peuvent être disponible (suivant vos droits) :
- **Annuler la demande** enregistre les modifications et modifie le statut pour "Annuler".
- **Modifier la géométrie** va ouvrir un panneau à droite pour modifier la géométrie. Pour que la modification soit prise en compte, il faut sauvegarder le formulaire.
- **Sauvegarder** enregistre les modifications.
- **Clôturer la demande** enregistre les modifications et modifie le statut pour "Terminer".

#### La visualisation



![](../images/anomalies/anomalies_details.png)

Les boutons qui peuvent être disponible (suivant vos droits) :
- **Annuler la demande** modifie le statut pour "Annuler".
- **Modifier la géométrie** ouvre un panneau à droite pour modifier la géométrie.
- **Modifier la description** ouvre le formulaire d'édition.
- **Clôturer la demande** modifie le statut pour "Terminer".

#### Le zoom

Le bouton loupe ![](../images/anomalies/anomalies_boutons_actions_zoom.png) permet de localiser sur la carte une anomalie.

![](../images/anomalies/anomalies_zoom.png)


## 3. Les privilèges du module anomalies

### 3.1 vmap_anomalies_admin

Un utilisateur qui a le privilège vmap_anomalie_admin peut tout faire pour tous les signalements
- afficher
- créer
- modifier
- annuler
- clôturer

### 3.1 vmap_anomalies_user

Un utilisateur qui a le privilège vmap_anomalies_user peut signaler et modifier ses anomalies.
Sur ses signalements, il peut seulement modifier
les rubriques qu’il a renseignées quand il a signalé.

Il peut parcourir et afficher toutes les anomalies.

Le bouton "Annuler ma demande" est disponible.

### 3.1 vmap_anomalies_light_user

Un utilisateur qui a le privilège anomalie_light peut uniquement consulter les anomalies.